flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard Oren <roksmedia...@gmail.com>
Subject Re: [FlexJS] Try out the FlexJS Installer
Date Mon, 27 Jan 2014 21:06:48 GMT
I needed to install 1.7 51 SDK again and everything started working
perfect. I had to add the bindable tag to the Strings getter but after that
it compiled perfectly.

[*Bindable*(*"stringsChanged"*)]

        *public* *function* *get* strings():Array

        {

            *return* _strings;

        }

GREAT WORK Everyone!


-Rich


On Mon, Jan 27, 2014 at 12:53 PM, OmPrakash Muppirala
<bigosmallm@gmail.com>wrote:

> I can report that the Installer worked perfectly well (had to uninstall
> current installer first to get rid of the certificate related AIR error)
>
> The example app compiles and runs fine (with a compilation warning, though)
>
> Fantastic job, Alex (and others)  This is a huge huge milestone for
> FlexJS.  Thanks for putting all the effort into making this such a seamless
> process.  Having run into so many obstacles earlier by configuring
> everything by hand, this process is a breeze.
>
> Hopefully other IDEs (FDT, IntelliJ and FlashDevelop) should be able to
> make progress with their support for FlexJS going forward.
>
> Thanks,
> Om
>
>
> On Mon, Jan 27, 2014 at 11:29 AM, Alex Harui <aharui@adobe.com> wrote:
>
> > The launch configurations created by the installer picked a version of
> > Java by looking for JAVA_HOME environment variable or running which on
> Mac
> > and where.exe on Windows.
> >
> > It sounds like it picked an older version of Java, which could be a bug
> in
> > how the installer found the Java version.  Check the launch
> configurations
> > to verify that is the case.  You may have to manually set the path to
> Java
> > 7 in the launch configs for now.  If you have ideas on how we can better
> > find the right version of Java, please let us know.
> >
> > Thanks for trying the installer,
> > -Alex
> >
> > On 1/27/14 10:59 AM, "Richard Oren" <roksmediainc@gmail.com> wrote:
> >
> > >I was able to get everything installed but when compiling I get a error:
> > >
> > >Exception in thread "main" java.lang.UnsupportedClassVersionError:
> > >org/apache/flex/compiler/clients/MXMLC : Unsupported major.minor version
> > >51.0
> > >
> > >at java.lang.ClassLoader.defineClass1(Native Method)
> > >
> > >at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
> > >
> > >at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
> > >
> > >at
> java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
> > >
> > >at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
> > >
> > >at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
> > >
> > >at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
> > >
> > >at java.security.AccessController.doPrivileged(Native Method)
> > >
> > >at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
> > >
> > >at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
> > >
> > >at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
> > >
> > >at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
> > >
> > >
> > >I have updated my Java to Java 7 - 51
> > >
> > >
> > >Any Ideas?
> > >
> > >
> > >-Rich
> > >
> > >
> > >On Fri, Jan 24, 2014 at 5:04 PM, Jun Heider <jun@realeyes.com> wrote:
> > >
> > >>
> > >> On Jan 24, 2014, at 5:23 PM, Richard Oren <roksmediainc@gmail.com>
> > >>wrote:
> > >>
> > >> > I followed the Direction on my Mac PPB and when installing the
> FlexJS
> > >> > Nightly Build it hangs on the Second square of the Progress
> Indicator
> > >>and
> > >> > then errors with "Installation Aborted"
> > >> >
> > >> > -Rich
> > >> >
> > >>
> > >> Thanks Rich, as Alex mentioned, I think it's an issue with the server
> > >> since hitting the download URL in the browser does not work:
> > >>
> > >>
> >
> https://builds.apache.org/job/flex-asjs/lastSuccessfulBuild/artifact/out/
> > >>apache-flex-flexjs-4.0.1-bin.tar.gz
> > >>
> > >>
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message